## e-table-header-utils

e-table-header-utils

## Functions

gdouble | e_table_header_compute_height ()
gdouble | e_table_header_width_extras ()
void | e_table_header_draw_button ()

## Description

## Functions

### e_table_header_compute_height ()

    gdouble
    e_table_header_compute_height (ETableCol *ecol,
                                   GtkWidget *widget);

Computes the minimum height required for a table header button.

#### Parameters

ecol | Table column description. |
widget | The widget from which to build the PangoLayout. |

#### Returns

The height of the button, in pixels.

### e_table_header_width_extras ()

    gdouble
    e_table_header_width_extras (GtkWidget *widget);

### e_table_header_draw_button ()

    void
    e_table_header_draw_button (cairo_t *cr,
                                ETableCol *ecol,
                                GtkWidget *widget,
                                gint x,
                                gint y,
                                gint width,
                                gint height,
                                gint button_width,
                                gint button_height,
                                ETableColArrow arrow);

Draws a button suitable for a table header.

#### Parameters

cr | a cairo context |
ecol | Table column for the header information. |
widget | The table widget. |
x | Leftmost coordinate of the button. |
y | Topmost coordinate of the button. |
width | Width of the region to draw. |
height | Height of the region to draw. |
button_width | Width for the complete button. |
button_height | Height for the complete button. |
arrow | Arrow type to use as a sort indicator. |